View Issue Details

IDProjectCategoryView StatusLast Update
0026891Open CASCADEOCCT:Visualizationpublic2016-04-20 15:51
ReporteriskAssigned Tobugmaster  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.0.0Fixed in Version7.0.0 
Summary0026891: Visualization, TKOpenGl - define more texture types within OpenGl_TextureFormatSelector
DescriptionOpenGl_TextureFormatSelector lacks following types: GLbyte, GLshort, GLuint, GLint.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed

Activities

git

2015-11-19 15:20

administrator   ~0048382

Branch CR26891 has been created by isk.

SHA-1: 178318c82387ff00513a0719ca7b89a9b9fc6ef8


Detailed log of new commits:

Author: isk
Date: Thu Nov 19 15:00:44 2015 +0300

    0026891: Visualization, TKOpenGl - define more texture types within OpenGl_TextureFormatSelector

git

2015-11-19 15:32

administrator   ~0048385

Branch CR26891 has been updated forcibly by isk.

SHA-1: 2308ecb9911965916129272ad06697d4fbbebe93

isk

2015-11-20 14:02

developer   ~0048415

Dear Kirill,
please review the branch CR26891.

kgv

2015-11-20 14:26

developer   ~0048421

Please check compilation, testing is not needed.

Note that branch is based on CR0-2015-11-20, so please rebase it to a proper master / IR branch if needed.

git

2015-11-20 16:37

administrator   ~0048431

Branch CR26891 has been updated forcibly by apv.

SHA-1: ff6be9cd45958d1c57c85e78819b952fee5399ab

apv

2015-11-20 16:38

tester   ~0048432

Branch CR26891 has been rebased on the current master

apv

2015-11-23 15:42

tester   ~0048490

Dear BugMaster,

Branch CR26891 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: ff6be9cd45958d1c57c85e78819b952fee5399ab

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 127 (127 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 92982268 / 93565878 [-0.62%]
Total CPU difference: 19358.219999999892 / 19980.329999999954 [-3.11%]

Testing on Windows:
Total MEMORY difference: 58367351 / 58376964 [-0.02%]
Total CPU difference: 18223.943219398898 / 18194.31862949887 [+0.16%]

git

2016-04-17 14:14

administrator   ~0053105

Branch CR26891 has been deleted by kgv.

SHA-1: ff6be9cd45958d1c57c85e78819b952fee5399ab

Related Changesets

occt: master fbef84f9

2015-11-19 12:31:24

isk


Committer: bugmaster Details Diff
0026891: Visualization, TKOpenGl - define more texture types within OpenGl_TextureFormatSelector Affected Issues
0026891
mod - src/OpenGl/OpenGl_Texture.hxx Diff File

Issue History

Date Modified Username Field Change
2015-11-18 10:17 isk New Issue
2015-11-18 10:17 isk Assigned To => kgv
2015-11-18 11:34 kgv Assigned To kgv => isk
2015-11-18 11:34 kgv Severity minor => feature
2015-11-18 11:34 kgv Status new => assigned
2015-11-18 11:34 kgv Summary Visualization, TKOpenGl - add missing types in OpenGl_TextureFormatSelector => Visualization, TKOpenGl - define more texture types within OpenGl_TextureFormatSelector
2015-11-19 15:20 git Note Added: 0048382
2015-11-19 15:32 git Note Added: 0048385
2015-11-20 14:02 isk Note Added: 0048415
2015-11-20 14:02 isk Assigned To isk => kgv
2015-11-20 14:02 isk Status assigned => resolved
2015-11-20 14:02 isk Steps to Reproduce Updated
2015-11-20 14:26 kgv Note Added: 0048421
2015-11-20 14:26 kgv Assigned To kgv => bugmaster
2015-11-20 14:26 kgv Status resolved => reviewed
2015-11-20 16:13 apv Assigned To bugmaster => apv
2015-11-20 16:37 git Note Added: 0048431
2015-11-20 16:38 apv Note Added: 0048432
2015-11-23 15:41 apv Test case number => Not needed
2015-11-23 15:42 apv Note Added: 0048490
2015-11-23 15:42 apv Assigned To apv => bugmaster
2015-11-23 15:42 apv Status reviewed => tested
2015-11-27 12:21 bugmaster Changeset attached => occt master fbef84f9
2015-11-27 12:21 bugmaster Status tested => verified
2015-11-27 12:21 bugmaster Resolution open => fixed
2016-04-17 14:14 git Note Added: 0053105
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.